SDL_copysign(3)

NAME
SDL_copysign - Copy the sign of one floating-point value to another.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_copysign(double x, double y);

DESCRIPTION
The definition of copysign is that copysign(x, y) = abs(x) * sign(y).

Domain: -INF <= x <= INF,

-INF <= y <= f

Range: -INF <= z <= INF

This function operates on double-precision floating point values, use SDL_copysignf for single-precision floats.

FUNCTION PARAMETERS

x   floating point value to use as the magnitude.

y   floating point value to use as the sign.

RETURN VALUE
Returns the floating point value with the sign of y and the magnitude of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_copysignf(3), SDL_fabs(3)